Attribute VB_Name = "Module1"
Sub SZTM_Zahlliste()
Attribute SZTM_Zahlliste.VB_Description = "Formatiert die Zahlliste"
Attribute SZTM_Zahlliste.VB_ProcData.VB_Invoke_Func = "F\n14"
'
' SZTM_Zahlliste Macro
' Formatiert die Zahlliste
'
' Keyboard Shortcut: Ctrl+Shift+F
'
    Dim ws As Worksheet
    For Each ws In ActiveWorkbook.Sheets
        With ws
        
            ws.Activate
                
            Range("A3:F3").Select
            With Selection.Interior
                .Pattern = xlSolid
                .PatternColorIndex = xlAutomatic
                .ThemeColor = xlThemeColorDark1
                .TintAndShade = -0.149998474074526
                .PatternTintAndShade = 0
            End With
            Selection.Font.Bold = True
            Range("A1:F1").Select
            With Selection
                .HorizontalAlignment = xlLeft
                .VerticalAlignment = xlBottom
                .WrapText = False
                .Orientation = 0
                .AddIndent = False
                .IndentLevel = 0
                .ShrinkToFit = False
                .ReadingOrder = xlContext
                .MergeCells = True
            End With
            Selection.Merge
            With Selection.Font
                .Name = "Calibri"
                .Size = 14
                .Strikethrough = False
                .Superscript = False
                .Subscript = False
                .OutlineFont = False
                .Shadow = False
                .Underline = xlUnderlineStyleNone
                .ThemeColor = xlThemeColorLight1
                .TintAndShade = 0
                .ThemeFont = xlThemeFontMinor
            End With
            Selection.Font.Bold = True
            ActiveWindow.SmallScroll Down:=-3
            Range("A3").Select
            Range(Selection, ActiveCell.SpecialCells(xlLastCell)).Select
            Selection.Borders(xlDiagonalDown).LineStyle = xlNone
            Selection.Borders(xlDiagonalUp).LineStyle = xlNone
            With Selection.Borders(xlEdgeLeft)
                .LineStyle = xlContinuous
                .ColorIndex = 0
                .TintAndShade = 0
                .Weight = xlThin
            End With
            With Selection.Borders(xlEdgeTop)
                .LineStyle = xlContinuous
                .ColorIndex = 0
                .TintAndShade = 0
                .Weight = xlThin
            End With
            With Selection.Borders(xlEdgeBottom)
                .LineStyle = xlContinuous
                .ColorIndex = 0
                .TintAndShade = 0
                .Weight = xlThin
            End With
            With Selection.Borders(xlEdgeRight)
                .LineStyle = xlContinuous
                .ColorIndex = 0
                .TintAndShade = 0
                .Weight = xlThin
            End With
            With Selection.Borders(xlInsideVertical)
                .LineStyle = xlContinuous
                .ColorIndex = 0
                .TintAndShade = 0
                .Weight = xlThin
            End With
            With Selection.Borders(xlInsideHorizontal)
                .LineStyle = xlContinuous
                .ColorIndex = 0
                .TintAndShade = 0
                .Weight = xlThin
            End With
            Columns("A:A").EntireColumn.AutoFit
            Columns("B:B").EntireColumn.AutoFit
            Columns("C:C").EntireColumn.AutoFit
            Columns("D:D").EntireColumn.AutoFit
            Columns("E:E").EntireColumn.AutoFit
            Columns("F:F").EntireColumn.AutoFit
            Range("A4").Select
            Range(Selection, ActiveCell.SpecialCells(xlLastCell)).Select
            Range("A4").Select
            Range(Selection, ActiveCell.SpecialCells(xlLastCell)).Select
            Selection.RowHeight = 33.75
            
        End With
    Next

End Sub
