import React from 'react'
import PlayerDisp from './PlayerDisp'

class PlayerList extends React.Component {
  render () {
    const filtered = this.props.player.filtered

    return (
      <div>
        <h2>Spielerliste ({filtered.length})</h2>
        <table className='table table-bordered table-striped'>
          <thead>
            <tr>
              <th><i>Konkurrenz</i></th>
              <th><b>Name</b></th>
              <th>Vorname</th>
              <th><b>Name DP</b></th>
              <th>Vorname DP</th>
              <th>Bezahlt</th>
              <th>Bezahlt Am</th>
              <th>Junior</th>
              <th>DP Junior</th>
            </tr>
          </thead>
          <tbody>
            {filtered.map((player, key) =>
              <PlayerDisp key={key} player={player} />
            )}
          </tbody>
        </table>
      </div>
    )
  }
}

export default PlayerList
